# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name        = 'benchify'
  s.version     = '0.2.2'
  s.summary     = 'Benchmark measures for Code and/or Terminal'
  s.description = <<~DESC
    Benchmark Ruby methods from source code, or any script from terminal.
    Access object data for analysis.
  DESC
  s.authors  = ['decentralizuj']
  s.files    = ['lib/benchify.rb']
  s.homepage = 'https://github.com/decentralizuj/benchify'
  s.license  = 'MIT'

  s.metadata['source_code_uri'] = 'https://github.com/decentralizuj/benchify'
  s.metadata['bug_tracker_uri'] = 'https://github.com/decentralizuj/benchify/issues'

  s.files = ['bin/benchify', 'lib/benchify.rb', 'lib/benchify/benchmark.rb', 'lib/benchify/result.rb', 'LICENSE', 'README.md', 'benchify.gemspec']
  s.bindir = 'bin'
  s.executables = ['benchify']
  s.require_paths = ['lib']

  s.add_development_dependency 'bundler'
  s.add_development_dependency 'rake'
end


